/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct UpdateTeamRequest {
    #[serde(rename = "id")]
    pub id: String,
    #[serde(rename = "display_name")]
    pub display_name: String,
    #[serde(rename = "description")]
    pub description: String,
    #[serde(rename = "company_name")]
    pub company_name: String,
    #[serde(rename = "allowed_domains")]
    pub allowed_domains: String,
    #[serde(rename = "invite_id")]
    pub invite_id: String,
    #[serde(rename = "allow_open_invite")]
    pub allow_open_invite: String,
}

impl UpdateTeamRequest {
    pub fn new(
        id: String,
        display_name: String,
        description: String,
        company_name: String,
        allowed_domains: String,
        invite_id: String,
        allow_open_invite: String,
    ) -> UpdateTeamRequest {
        UpdateTeamRequest {
            id,
            display_name,
            description,
            company_name,
            allowed_domains,
            invite_id,
            allow_open_invite,
        }
    }
}
